Bug 112296 - FFMpeg-devel 2007.04.29 does not compile with libdts installed
Summary: FFMpeg-devel 2007.04.29 does not compile with libdts installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-01 13:10 UTC by ganael.laplanche
Modified: 2007-05-07 12:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2007-05-01 13:10:05 UTC
ffmpeg-devel-2007.04.29 refuses to compile with libdts support. The 'make all' process in /usr/ports/multimedia/ffmpeg-devel ends with this error message :

cc -shared -Wl,-soname,libavcodec.so.1 -Wl,--warn-common  -L/usr/local/lib -rdynamic -export-dynamic -Wl,-rpath-link,"/usr/ports/multimedia/ffmpeg-devel/work/ffmpeg-2007-04-29"/libavcodec -Wl,-rpath-link,"/usr/ports/multimedia/ffmpeg-devel/work/ffmpeg-2007-04-29"/libavformat -Wl,-rpath-link,"/usr/ports/multimedia/ffmpeg-devel/work/ffmpeg-2007-04-29"/libavutil -o libavcodec.so.1 bitstream.o utils.o allcodecs.o mpegvideo.o jrevdct.o jfdctfst.o jfdctint.o mjpeg.o resample.o resample2.o dsputil.o motion_est.o imgconvert.o mpeg12.o mpegaudiodec.o simple_idct.o ratecontrol.o eval.o error_resilience.o fft.o mdct.o raw.o golomb.o cabac.o faandct.o parser.o vp3dsp.o h264idct.o rangecoder.o pnm.o h263.o msmpeg4.o h263dec.o opt.o bitstream_filter.o audioconvert.o aasc.o ac3enc.o ac3tab.o ac3.o alac.o asv1.o atrac3.o avs.o bethsoftvideo.o bmp.o bmpenc.o c93.o cavs.o cavsdsp.o cinepak.o cljr.o cook.o cscd.o cyuv.o dca.o dnxhddec.o dsicinav.o dvbsubdec.o dvbsub.o dvdsubdec.o dvdsubenc.o dv
 .o dxa.o 8bps.o ffv1.o huffyuv.o flac.o flacenc.o flashsv.o flashsvenc.o flicvideo.o 4xm.o fraps.o gifdec.o lzw.o gif.o h261.o h264.o idcinvideo.o imc.o indeo2.o indeo3.o interplayvideo.o dpcm.o kmvc.o loco.o mace.o mmvideo.o mpegaudio.o mpc.o msrle.o msvideo1.o lcl.o nuv.o rtjpeg.o png.o qdm2.o qdrw.o qpeg.o qtrle.o ra144.o ra288.o roqvideo.o rpza.o rv10.o sgidec.o sgienc.o rle.o shorten.o smacker.o smc.o snow.o sonic.o svq1.o targa.o targaenc.o vp3.o xiph.o tiertexseqv.o tiff.o tiffenc.o lzwenc.o truemotion1.o truemotion2.o truespeech.o tscc.o tta.o ulti.o vc1.o vc1dsp.o vcr1.o vmdav.o vmnc.o vorbis.o vorbis_data.o vorbis_enc.o vp5.o vp56.o vp56data.o vp6.o vqavideo.o wavpack.o wmadec.o wma.o wmaenc.o wnv1.o ws-snd1.o xan.o xl.o zmbv.o zmbvenc.o pcm.o adpcm.o adx.o g726.o a52dec.o dtsdec.o faac.o faad.o mp3lameaudio.o oggvorbis.o x264.o xvidff.o xvid_rc.o pthread.o -L"/usr/ports/multimedia/ffmpeg-devel/work/ffmpeg-2007-04-29"/libavutil -lavutil -L/usr/local/lib  -pthread -
 lm -lz -la52 -ldts -lm -lmp3lame -lm -lvorbis -lvorbisenc -l!
 ogg -log
g -lxvidcore -lx264 -lfaac -lfaad
/usr/bin/ld: /usr/local/lib/libdts.a(parse.o): relocation R_X86_64_32S can not be used when making a shared object; recompile with -fPIC
/usr/local/lib/libdts.a: could not read symbols: Bad value
gmake[1]: *** [libavcodec.so.1] Error 1
gmake[1]: Leaving directory `/usr/ports/multimedia/ffmpeg-devel/work/ffmpeg-2007-04-29/libavcodec'
gmake: *** [lib] Error 2
*** Error code 2

Stop in /usr/ports/multimedia/ffmpeg-devel.

It happens when /usr/ports/multimedia/libdts (libdts-0.0.2_2) is installed. Removing libdts fixes the problem.

Fix: 

Deinstall libdts before installing ffmpeg-devel.
How-To-Repeat: Install /usr/ports/multimedia/libdts, then install ffmpeg-devel.
Comment 1 Edwin Groothuis freebsd_committer 2007-05-01 13:13:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer
Comment 2 ahze freebsd_committer 2007-05-07 12:18:33 UTC
State Changed
From-To: open->closed

ffmpeg on amd64 now works with libdca